aboutsummaryrefslogtreecommitdiffstats
path: root/main/speexdsp/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-03-18 14:19:04 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-03-18 14:36:33 +0000
commite831be5a3cc75681a93b1f835852f3b34fe16d3e (patch)
treedfe8ccc194716735bc955c70aae4995560a49145 /main/speexdsp/APKBUILD
parentd3161d5afbea4eb503522ee505965d95b626d566 (diff)
downloadaports-e831be5a3cc75681a93b1f835852f3b34fe16d3e.tar.gz
aports-e831be5a3cc75681a93b1f835852f3b34fe16d3e.tar.bz2
aports-e831be5a3cc75681a93b1f835852f3b34fe16d3e.tar.xz
main/speexdsp: moved to main
Diffstat (limited to 'main/speexdsp/APKBUILD')
-rw-r--r--main/speexdsp/APKBUILD55
1 files changed, 55 insertions, 0 deletions
diff --git a/main/speexdsp/APKBUILD b/main/speexdsp/APKBUILD
new file mode 100644
index 0000000000..e0597ede3d
--- /dev/null
+++ b/main/speexdsp/APKBUILD
@@ -0,0 +1,55 @@
+# Maintainer: Natanel Copa <ncopa@alpinelinux.org>
+pkgname=speexdsp
+pkgver=1.2_rc3
+_ver=${pkgver%_*}${pkgver#*_}
+pkgrel=2
+pkgdesc="A voice compression format (DSP)"
+url="http://www.speex.org/"
+arch="all"
+license="BSD"
+depends=
+makedepends="autoconf automake libtool"
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+replaces="libspeex"
+source="http://downloads.xiph.org/releases/speex/speexdsp-$_ver.tar.gz
+ speexdsp-fixbuilds-774c87d.patch
+ "
+
+_builddir="$srcdir"/$pkgname-$_ver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ autoreconf -vif
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --disable-static \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install
+ rm "$pkgdir"/usr/lib/*.la || return 1
+}
+
+md5sums="70d9d31184f7eb761192fd1ef0b73333 speexdsp-1.2rc3.tar.gz
+c4fc8b6d6ca81a9e48062d2cc1259693 speexdsp-fixbuilds-774c87d.patch"
+sha256sums="4ae688600039f5d224bdf2e222d2fbde65608447e4c2f681585e4dca6df692f1 speexdsp-1.2rc3.tar.gz
+76cd6b1187f415d966c8d62003cd87cfb66e4030b250a316aab8f0fbc2de226a speexdsp-fixbuilds-774c87d.patch"
+sha512sums="29dfa8345df025eeb076561648a9b5c0485692be699b6da3c2a3734b4329187a1c2eb181252f4df12b21f1309ecdf59797437dfb123d160fd723491ab216e858 speexdsp-1.2rc3.tar.gz
+0f0c8054591915a4ea06b28b13d50da41be10d594f39a0496e2e80e4514ed53db7cd0e1fdb205ce5e87f602b9c1e15409c33cf946ab25cdef8a3b147dbfcc0f3 speexdsp-fixbuilds-774c87d.patch"